import {getTexture} from "./utils"
export class PlayerBullet extends FYGE.Sprite{
    speedY:number;
    bullet1Texture:FYGE.Texture;
    bullet2Texture:FYGE.Texture;
    constructor(){
        super();
        this.addEventListener(FYGE.Event.ADDED_TO_STAGE,this.addToViewPort,this)
    }

    addToViewPort(){
        this.speedY = -30;
        this.bullet1Texture = getTexture("ef04c667-2665-4390-b1ca-1362c4ff85e3");
        this.texture = this.bullet1Texture;
    }

    updateSelf(){
        this.y += this.speedY;
    }

    removeToViewPort(){

    }
} 